PO4A-NORMALIZE.1P(1)

NUME
po4a-normalize - normalizează un fișier de documentație analizându-l în po4a și scriindu-l înapoi

SINOPSIS
po4a-normalize -f fmt principal.doc

DESCRIERE
Scopul proiectului po4a (PO pentru orice) este de a ușura traducerile (și mai interesant, întreținerea traducerilor) folosind instrumente gettext în domenii în care nu erau așteptate, cum ar fi documentația.

Scriptul po4a-normalize este un instrument de depanare utilizat pentru a se asigura că po4a nu modifică documentul atunci când nu ar trebui să o facă. Utilizați-l numai dacă dezvoltați un modul nou sau dacă vă îndoiți de corectitudinea instrumentelor.

Documentul generat va fi scris în po4a-normalize.output în timp ce fișierul POT generat va fi scris în po4a-normalize.po în mod implicit, dar puteți utiliza opțiunile --localized și --pot pentru a schimba acest lucru.

OPȚIUNI

-o, --option
    Opțiuni suplimentare pe care să le transmiteți modulului de format. Consultați documentația fiecărui modul pentru mai multe informații despre opțiunile valide și semnificațiile acestora. De exemplu, ați putea transmite „-o tablecells” analizatorului AsciiDoc, în timp ce analizatorul de text ar accepta „-o tabs=split”.

-w, --width
    Coloana la care ar trebui să încadrăm fișierul rezultat dacă formatul acceptă acest lucru (implicit: 76). Dacă valoarea furnizată este 0 sau negativă, atunci fișierul rezultat nu va fi încadrat deloc. Acest lucru este util în cazul anumitor formate care s-ar putea rupe atunci când sunt re-încadrate.

-b, --blank
    Creează un document tradus gol. Documentul tradus generat va fi generat presupunând că toate mesajele sunt traduse printr-un spațiu sau o linie nouă.

    Acest lucru este util pentru a verifica ce părți ale documentului nu pot fi traduse.

    Nu pot fi specificate în același timp atât --blank, cât și --capitalize.

-C, --capitalize
    Creează un document tradus și un fișier po corespunzător cu șirurile originale traduse ca versiunile lor cu majuscule.

    Acest lucru este util pentru a verifica ce părți ale documentului nu pot fi traduse și pentru a genera date de testare pentru po4a.

    Nu pot fi specificate în același timp atât --blank, cât și --capitalize.

-h, --help
    Afișează un scurt mesaj de ajutor.

--help-format
    Enumeră formatele de documentație înțelese de po4a.

-f, --format
    Formatul documentației pe care doriți să o gestionați. Utilizați opțiunea --help-format pentru a vedea lista de formate disponibile.

-M, --master-charset
    Setul de caractere al fișierului care conține documentul de tradus.

-l, --localized
    Numele fișierului normalizat care urmează să fie produs (po4a-normalize.output în mod implicit).

-p, --pot
    Fișierul Pot de produs (po4a-normalize.po implicit).

-V, --version
    Afișează versiunea scriptului și iese.

CONSULTAȚI ȘI
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORI
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DREPTURI DE AUTOR și LICENȚĂ
Drepturi de autor 2002-2023 pentru SPI, inc.

Acest program este software liber; îl puteți redistribui și/sau modifica în conformitate cu termenii GPL v2.0 sau o versiune ulterioară (consultați fișierul COPYING).